#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    int i, suma, broj, a, n;
    suma = 0;
    cin >> broj;
    a = broj;
    int niz[0];
    n = 0;

    for(i = 0; a >0; i++ )
    {
        n++;
        niz[i] = a %10;
        a = a /10;
        cout << a << "\n";
    }

    for(i = 0; i < n; i++)
    {
        if(niz[i] == 0)
        {
            suma = suma +1;
        }
        if(niz[i] == 9)
        {
            suma = suma + 3;
        }
        if(niz[i] == 8)
        {
            suma = suma + 3;
        }
        if(niz[i] == 7)
        {
            suma = suma +2;
        }
        if(niz[i] == 6)
        {
            suma = suma +2;
        }
        if(niz[i] == 5)
        {
            suma = suma +1;
        }
        if(niz[i] == 4)
        {
            suma = suma +2;
        }
        if(niz[i] == 3)
        {
            suma = suma +2;
        }
        if(niz[i] == 2)
        {
            suma = suma +1;
        }
        if(niz[i] == 1)
        {
            suma = suma +1;
        }
    }
    cout << suma;

    return 0;
}